import { AbstractUiComponent } from "../AbstractUiComponent";
import { TeamAppsUiContext } from "../TeamAppsUiContext";
import { AbstractUiToolContainerConfig } from "../../generated/AbstractUiToolContainerConfig";
export declare abstract class AbstractUiToolContainer<C extends AbstractUiToolContainerConfig> extends AbstractUiComponent<C> {
    protected static $sizeTestingContainer: HTMLElement;
    static initialize(): void;
    constructor(config: C, context: TeamAppsUiContext);
    static optimizeButtonWidth($buttonWrapper: HTMLElement, $button: HTMLElement, maxHeight: number): number;
}
